Package com.independentsoft.office.spreadsheet.pivotTables

# Class PivotCacheField

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.PivotCacheField

public class PivotCacheField extends Object
The Class PivotCacheField.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotCacheField()`
  Instantiates a new pivot cache field.
  `PivotCacheField​(String name)`
  Instantiates a new pivot cache field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PivotCacheField`
  `clone()`
  `String`
  `getCalculatedFieldFormula()`
  Gets the calculated field formula.
  `String`
  `getCaption()`
  Gets the caption.
  `int`
  `getHierarchy()`
  Gets the hierarchy.
  `int`
  `getHierarchyLevel()`
  Gets the hierarchy level.
  `int`
  `getMappingCount()`
  Gets the mapping count.
  `String`
  `getName()`
  Gets the name.
  `int`
  `getNumberFormatID()`
  Gets the number format id.
  `String`
  `getPropertyName()`
  Gets the property name.
  `SharedItems`
  `getSharedItems()`
  Gets the shared items.
  `SqlDataType`
  `getSqlDataType()`
  Gets the sql data type.
  `boolean`
  `hasUniqueList()`
  Checks for unique list.
  `boolean`
  `isDatabaseField()`
  Checks if is database field.
  `boolean`
  `isMemberPropertyField()`
  Checks if is member property field.
  `boolean`
  `isServerBasedField()`
  Checks if is server based field.
  `void`
  `setCalculatedFieldFormula​(String calculatedFieldFormula)`
  Sets the calculated field formula.
  `void`
  `setCaption​(String caption)`
  Sets the caption.
  `void`
  `setDatabaseField​(boolean isDatabaseField)`
  Sets the database field.
  `void`
  `setHierarchy​(int hierarchy)`
  Sets the hierarchy.
  `void`
  `setHierarchyLevel​(int hierarchyLevel)`
  Sets the hierarchy level.
  `void`
  `setMappingCount​(int mappingCount)`
  Sets the mapping count.
  `void`
  `setMemberPropertyField​(boolean isMemberPropertyField)`
  Sets the member property field.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setNumberFormatID​(int numberFormatID)`
  Sets the number format id.
  `void`
  `setPropertyName​(String propertyName)`
  Sets the property name.
  `void`
  `setServerBasedField​(boolean isServerBasedField)`
  Sets the server based field.
  `void`
  `setSharedItems​(SharedItems sharedItems)`
  Sets the shared items.
  `void`
  `setSqlDataType​(SqlDataType sqlDataType)`
  Sets the sql data type.
  `void`
  `setUniqueList​(boolean hasUniqueList)`
  Sets the unique list.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PivotCacheField

    public PivotCacheField()
    Instantiates a new pivot cache field.

  - ### PivotCacheField

    public PivotCacheField​(String name)
    Instantiates a new pivot cache field.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public PivotCacheField clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getSharedItems

    public SharedItems getSharedItems()
    Gets the shared items.
    Returns:
      the shared items

  - ### setSharedItems

    public void setSharedItems​(SharedItems sharedItems)
    Sets the shared items.
    Parameters:
      `sharedItems` - the new shared items

  - ### getCaption

    public String getCaption()
    Gets the caption.
    Returns:
      the caption

  - ### setCaption

    public void setCaption​(String caption)
    Sets the caption.
    Parameters:
      `caption` - the new caption

  - ### isDatabaseField

    public boolean isDatabaseField()
    Checks if is database field.
    Returns:
      true, if is database field

  - ### setDatabaseField

    public void setDatabaseField​(boolean isDatabaseField)
    Sets the database field.
    Parameters:
      `isDatabaseField` - the new database field

  - ### getCalculatedFieldFormula

    public String getCalculatedFieldFormula()
    Gets the calculated field formula.
    Returns:
      the calculated field formula

  - ### setCalculatedFieldFormula

    public void setCalculatedFieldFormula​(String calculatedFieldFormula)
    Sets the calculated field formula.
    Parameters:
      `calculatedFieldFormula` - the new calculated field formula

  - ### getHierarchy

    public int getHierarchy()
    Gets the hierarchy.
    Returns:
      the hierarchy

  - ### setHierarchy

    public void setHierarchy​(int hierarchy)
    Sets the hierarchy.
    Parameters:
      `hierarchy` - the new hierarchy

  - ### getHierarchyLevel

    public int getHierarchyLevel()
    Gets the hierarchy level.
    Returns:
      the hierarchy level

  - ### setHierarchyLevel

    public void setHierarchyLevel​(int hierarchyLevel)
    Sets the hierarchy level.
    Parameters:
      `hierarchyLevel` - the new hierarchy level

  - ### getMappingCount

    public int getMappingCount()
    Gets the mapping count.
    Returns:
      the mapping count

  - ### setMappingCount

    public void setMappingCount​(int mappingCount)
    Sets the mapping count.
    Parameters:
      `mappingCount` - the new mapping count

  - ### isMemberPropertyField

    public boolean isMemberPropertyField()
    Checks if is member property field.
    Returns:
      true, if is member property field

  - ### setMemberPropertyField

    public void setMemberPropertyField​(boolean isMemberPropertyField)
    Sets the member property field.
    Parameters:
      `isMemberPropertyField` - the new member property field

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getNumberFormatID

    public int getNumberFormatID()
    Gets the number format id.
    Returns:
      the number format id

  - ### setNumberFormatID

    public void setNumberFormatID​(int numberFormatID)
    Sets the number format id.
    Parameters:
      `numberFormatID` - the new number format id

  - ### getPropertyName

    public String getPropertyName()
    Gets the property name.
    Returns:
      the property name

  - ### setPropertyName

    public void setPropertyName​(String propertyName)
    Sets the property name.
    Parameters:
      `propertyName` - the new property name

  - ### isServerBasedField

    public boolean isServerBasedField()
    Checks if is server based field.
    Returns:
      true, if is server based field

  - ### setServerBasedField

    public void setServerBasedField​(boolean isServerBasedField)
    Sets the server based field.
    Parameters:
      `isServerBasedField` - the new server based field

  - ### getSqlDataType

    public SqlDataType getSqlDataType()
    Gets the sql data type.
    Returns:
      the sql data type

  - ### setSqlDataType

    public void setSqlDataType​(SqlDataType sqlDataType)
    Sets the sql data type.
    Parameters:
      `sqlDataType` - the new sql data type

  - ### hasUniqueList

    public boolean hasUniqueList()
    Checks for unique list.
    Returns:
      true, if successful

  - ### setUniqueList

    public void setUniqueList​(boolean hasUniqueList)
    Sets the unique list.
    Parameters:
      `hasUniqueList` - the new unique list